/*
 * Class EV_WIDGET_PROJECTOR
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1333 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1333 [] = {0xFF01,1551,1332,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1333 [] = {0xFF01,1332,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1333 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1333 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1333 [] = {0xFF01,1332,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1333 [] = {0xFF01,1332,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1333 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1333 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1333 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1333 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1333 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1333 [] = {0xFF01,1332,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1333 [] = {0xFF01,685,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1333 [] = {0xFF01,994,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1333 [] = {0xFF01,685,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1333 [] = {0xFF01,128,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1333 [] = {0xFF01,1559,1548,0xFF01,0,0xFF01,0xFFF9,1,840,0xFF01,682,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1333 [] = {0xFF01,128,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1333 [] = {0xFF01,74,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1333 [] = {0xFF01,1010,0xFFFF};


static const struct desc_info desc_1333[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1333), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1333), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1333), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1333), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1333), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1333), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1333), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1333), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1333), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1333), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1333), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1333), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0A69 /*1332*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1333), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6856, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6857, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6858, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6859, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6879, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6949, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6950, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6951, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6952, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6953, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6954, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6955, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6956, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6957, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6958, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6959, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6960, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6961, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6962, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6963, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6964, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6965, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6966, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9604, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9605, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1333), 9606, 0},
	{EIF_GENERIC(NULL), 29888, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29871, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1333), 29872, 4},
	{EIF_GENERIC(egt_15_1333), 9606, 0},
	{EIF_GENERIC(egt_16_1333), 29895, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29873, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29889, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 29890, 24},
	{EIF_GENERIC(NULL), 29916, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29891, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29892, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1333), 29893, 8},
	{EIF_GENERIC(NULL), 29894, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1333), 29895, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1333), 29896, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29874, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29875, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29876, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29877, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29878, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29879, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29880, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29881, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29882, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29883, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29884, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29885, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29886, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29938, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29939, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1333), 29940, 12},
	{EIF_NON_GENERIC(0x07C5 /*994*/), 29941, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 29942, 28},
	{EIF_NON_GENERIC(0x06CB /*869*/), 29943, 32},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 29944, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29945, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29917, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29918, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29919, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29920, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0555 /*682*/), 29921, 20},
	{EIF_NON_GENERIC(0x06CB /*869*/), 29922, 36},
	{EIF_NON_GENERIC(0x06CB /*869*/), 29923, 40},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 29924, 25},
	{EIF_NON_GENERIC(0x0555 /*682*/), 29925, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29926, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29927, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29928, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29929, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 29930, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29931, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29932, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29933, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 29934, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0553 /*681*/), 29935, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 29936, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29937, 0xFFFFFFFF},
};
void Init1333(void)
{
	IDSC(desc_1333, 0, 1332);
	IDSC(desc_1333 + 1, 1, 1332);
	IDSC(desc_1333 + 32, 902, 1332);
	IDSC(desc_1333 + 37, 371, 1332);
	IDSC(desc_1333 + 51, 646, 1332);
	IDSC(desc_1333 + 69, 928, 1332);
	IDSC(desc_1333 + 72, 459, 1332);
	IDSC(desc_1333 + 78, 1050, 1332);
	IDSC(desc_1333 + 87, 582, 1332);
	IDSC(desc_1333 + 100, 1327, 1332);
}


#ifdef __cplusplus
}
#endif
